## proftpd-dfsg 1.3.4~rc2

=== contrib/Makefile ===


top_builddir=..
top_srcdir=..
srcdir=.

DESTDIR=

include ../Make.rules

.PHONY: ""

all:
	@echo "Running make from top level directory."
	cd .. && $(MAKE) all

Makefile: Makefile.in ../config.status
	cd ../ && ./config.status

install-utils:
	$(INSTALL) -o $(INSTALL_USER) -g $(INSTALL_GROUP) -m 0755 ftpasswd $(DESTDIR)$(bindir)/ftpasswd
	$(INSTALL) -o $(INSTALL_USER) -g $(INSTALL_GROUP) -m 0755 ftpmail $(DESTDIR)$(bindir)/ftpmail
	$(INSTALL) -o $(INSTALL_USER) -g $(INSTALL_GROUP) -m 0755 ftpquota $(DESTDIR)$(bindir)/ftpquota

=== tests/Makefile ===
CC=gcc


top_builddir=..
top_srcdir=..
srcdir=.


include $(top_srcdir)/Make.rules

EXEEXT=

TEST_API_DEPS=\
  $(top_srcdir)/src/pool.o \
  $(top_srcdir)/src/privs.o \
  $(top_srcdir)/src/str.o \
  $(top_srcdir)/src/sets.o \
  $(top_srcdir)/src/timers.o \
  $(top_srcdir)/src/table.o \
  $(top_srcdir)/src/var.o \
  $(top_srcdir)/src/event.o \
  $(top_srcdir)/src/env.o \
  $(top_srcdir)/src/version.o \
  $(top_srcdir)/src/feat.o \
  $(top_srcdir)/src/netaddr.o \
  $(top_srcdir)/src/netacl.o \
  $(top_srcdir)/src/class.o \
  $(top_srcdir)/src/regexp.o \
  $(top_srcdir)/src/expr.o \
  $(top_srcdir)/src/scoreboard.o \
  $(top_srcdir)/src/stash.o \
  $(top_srcdir)/src/modules.o \
  $(top_srcdir)/src/cmd.o

TEST_API_LIBS=-lcheck

TEST_API_OBJS=\
  api/pool.o \
  api/array.o \
  api/str.o \
  api/sets.o \
  api/timers.o \
  api/table.o \
  api/var.o \
  api/event.o \
  api/env.o \
  api/version.o \
  api/feat.o \
  api/netaddr.o \
  api/netacl.o \
  api/class.o \
  api/regexp.o \
  api/expr.o \
  api/scoreboard.o \
  api/stash.o \
  api/modules.o \
  api/cmd.o \
  api/stubs.o \
  api/tests.o


all:
	@echo "Running make from top level directory."
	cd ../; $(MAKE) all

dummy:

Makefile: Makefile.in ../config.status
	cd ../ && ./config.status

api/.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

api-tests$(EXEEXT): $(TEST_API_OBJS) $(TEST_API_DEPS)
	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $(TEST_API_DEPS) $(TEST_API_OBJS) $(LIBS) $(TEST_API_LIBS)
	./$@

running-tests:
	perl tests.pl

check: dummy api-tests$(EXEEXT) running-tests

clean:
	$(LIBTOOL) --mode=clean $(RM) *.o api/*.o api-tests$(EXEEXT) api-tests.log

## proftpd-dfsg 1.3.0-19etch3

=== debian/changelog ===
proftpd-dfsg (1.3.0-19etch3) oldstable-security; urgency=low

  * [SECURITY] Added patch cve_2009_3639.dpatch. It fixes CVE-2009-3639.
    See also http://bugs.proftpd.org/show_bug.cgi?id=3275.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 26 Oct 2009 14:53:56 +0100

proftpd-dfsg (1.3.0-19etch2) stable-security; urgency=low

  * [SECURITY] Added patch xsiteforgery.dpatch. It fixes CVE-2008-4242.
    See also http://bugs.proftpd.org/show_bug.cgi?id=3115

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Oct 2008 16:47:13 +0100

proftpd-dfsg (1.3.0-19etch1) stable; urgency=low

  * [SECURITY] Added patch auth_cache.dpatch. It fixes CVE-2007-2165.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 15 Jan 2008 11:50:31 +0100

proftpd-dfsg (1.3.0-19) unstable; urgency=high

  * Updated NEWS and README.Debian in order to document SQL backend engine configuration.
    (closes: #369813, #405184)
  * Uses correct encoding declaration in pt debconf template.
    (closes: #403486)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue,  2 Jan 2007 10:47:24 +0100

proftpd-dfsg (1.3.0-18) unstable; urgency=high

  * Rebuilt for cleaning spurious changes introduced by uncomplete building.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 14 Dec 2006 16:10:26 +0100

proftpd-dfsg (1.3.0-17) unstable; urgency=high

  * SECURITY: ProFTPD Controls Buffer Overflow, locally exploitable. This is fixed in 1.3.1.
    New patch CORE-2006-1127 added.
    See http://www.coresecurity.com/?module=ContentMod&action=item&id=1594
    and http://bugs.proftpd.org/show_bug.cgi?id=2867 for reference.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 14 Dec 2006 10:21:56 +0100

proftpd-dfsg (1.3.0-16) unstable; urgency=high

  * Added a new security patch for Secunia SA23141 advisory (mod_tls abuse)
    See SA23141 patch for details.
    See http://secunia.com/advisories/23141/ for advisory
    See http://bugs.proftpd.org/show_bug.cgi?id=2860 for details.
    (closes: #400793)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 29 Nov 2006 11:27:34 +0100

proftpd-dfsg (1.3.0-15) unstable; urgency=high

  * Sigh, a new patch fixes for sure security bug Secunia SA22803 advisory (sreplace() abuse).
    See SA22803 patch added to the previous one which was anyway
    correct on the basis of CVE-2006-5815.
    See http://bugs.proftpd.org/show_bug.cgi?id=2858 for details.
    See http://secunia.com/advisories/22803/ for advisory.
    (closes: #399070)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 28 Nov 2006 13:29:58 +0100

proftpd-dfsg (1.3.0-14) unstable; urgency=medium

  * New patch: ipv6_onoff: adds long due ipv6 run-time enabling/disabling, based on
    http://bugs.proftpd.org/show_bug.cgi?id=2817 CVS patch. It adds UseIPv6
    on|off directive and --ipv4/--ipv6 command line options.
  * Now changed default proftpd.conf to enable explicitly as previous default. Admin can
    turn it off if he likes so. That is an alternative to provide an ipv6
    address/name map.
  * Documenting new option in README.Debian.
  * Updated japanese debconf template.
    (closes: #400152)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Nov 2006 11:58:58 +0100

proftpd-dfsg (1.3.0-13) unstable; urgency=high

  * Security fix for CVE-2006-5815, DoS with low impact.
    (See http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-5815)
    Patch cve_2006_5815 added, taken from main.c(1.292->1.294). Other
    vendors' patch (1.292->1.293) is wrong and causes segfault.
    Debian rocks as always instead ;-)
    (closes: #399070)
  * Updated german po file for debconf.
    (closes: #399252)
  * Updated italian po file for debconf.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 20 Nov 2006 12:03:08 +0100

proftpd-dfsg (1.3.0-12) unstable; urgency=high

  * Fixing properly update-rc.d call in postrm. Eventually the init script
    should be changed to work with dh_installinit, which would be more clean.
    (closes: #397918)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 10 Nov 2006 15:03:30 +0100

proftpd-dfsg (1.3.0-11) unstable; urgency=medium

  * Sigh, reverted a change in proftpd.install due to an initial package splitting no more
    completed. The result was missing SQL and LDAP modules.
    (closes: #394233)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 20 Oct 2006 14:32:04 +0200

proftpd-dfsg (1.3.0-10) unstable; urgency=low

  * Removed RFCs in the original tarball. 
    (closes: #393408)
  * Added a watch file for uscan.
  * Templates updated.
    (closes: #375102,#381949,#383077)
  * Removes proftpd user on purge in postrm.
    (closes: #387982)
  * Merged by 1.3.0-9.1 NMU (thanks Arjan Oosting):
  	+ Call update-inetd during remove and disappear and not during purge.
         (closes: #388647)
        + Make dependency on libcap-dev conditional to fix FTBFS on GNU/kFreeBSD
         (closes: #375017)
        + Deregister /etc/init.d script on purge

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 16 Oct 2006 15:16:21 +0200

proftpd (1.3.0-9) unstable; urgency=low

  * Missing examples added to proftpd-doc: moved proftpd.examples to proftpd-doc.examples
  * Added patch: sighup_fault
    	Daemon fails when receive SIGHUP and mod_ctrls is enabled.
    	Cfr http://bugs.proftpd.org/show_bug.cgi?id=2792
  * Policy bumped to 3.7.2, no changes.
  * proftpd.init: added /var/run/proftpd creation at run-time (ubuntu patch).
  * Typo in README.Debian corrected
    (closes: #369745)
  * Russian debconf template revised
    (closes: #367164)
  * Added a note in README.Debian about AuthOrder and other issues.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  1 Jun 2006 14:29:18 +0200

proftpd (1.3.0-8) unstable; urgency=medium

  * New patch for configure.in/configure (remove_rpath) to remove rpath adding
    at libtool installation time. 
    (closes: #368301)


=== debian/control ===
Source: proftpd-dfsg
Section: net
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 3.7.2
Build-Depends: libmysqlclient15-dev (>= 5.0.16) | libmysqlclient14-dev | libmysqlclient12-dev (>= 4.0.23) , libpam-dev, debhelper (>=4.1.16), zlib1g-dev, libpq-dev | postgresql-dev (>= 7.2), libldap2-dev, libssl-dev, libwrap0-dev, libcap-dev|not+linux-gnu, autotools-dev, libncurses5-dev, dpatch, libacl1-dev

Package: proftpd
Architecture: any
Depends: netbase (>= 4.13), ${perl:Depends}, ${shlibs:Depends}, debconf (>= 0.5.00), adduser, ucf (>= 0.30), debianutils (>= 1.21.0), libpam-runtime (>= 0.76-13.1)
Conflicts: wu-ftpd, wu-ftpd-academ, ftp-server, proftpd-common
Replaces: proftpd-common
Provides: ftp-server, proftpd-common
Suggests: proftpd-doc
Description: Versatile, virtual-hosting FTP daemon
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed).  Advanced features like multiple password files and
 upload/download ratios are also supported.
 .
 This package contains most of the core and contributed modules of 
 proftpd. 
 .
 More information can be found at http://www.proftpd.org/.

Package: proftpd-doc
Architecture: all
Suggests: proftpd (>> 1.2.10-1)
Section: doc
Description: Versatile, virtual-hosting FTP daemon (Documentation)
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed).  Advanced features like multiple password files and
 upload/download ratios are also supported.
 .
 More information can be found at http://www.proftpd.org/.

Package: proftpd-mysql
Architecture: all
Depends: proftpd (= ${Source-Version}), ${shlibs:Depends}
Conflicts: wu-ftpd, wu-ftpd-academ
Description: Versatile, virtual-hosting FTP daemon 
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 This package is needed only to use MySQL-based authentication.
 .
 More information can be found at http://www.proftpd.org/.

Package: proftpd-pgsql
Architecture: all
Depends: proftpd (= ${Source-Version}), ${shlibs:Depends}
Conflicts: wu-ftpd, wu-ftpd-academ
Description: Versatile, virtual-hosting FTP daemon 
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 This package is needed only to use PostgreSQL-based authentication.
 .
 More information can be found at http://www.proftpd.org/.

Package: proftpd-ldap
Architecture: all
Depends: proftpd (= ${Source-Version}), ${shlibs:Depends}
Conflicts: wu-ftpd, wu-ftpd-academ
Description: Versatile, virtual-hosting FTP daemon 
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 This package is needed only to use LDAP-based authentication.
 .
 More information can be found at http://www.proftpd.org/.

=== debian/rules ===
#!/usr/bin/make -f

DH_COMPAT=4
export DH_COMPAT

PACKAGE=proftpd

#
# HAVE_OPENSSL is required by mod_sql.c. 
# See #233031 for details. 
#
# FIXME: To be checked for 1.3.0+
# 
PROFTPD_FLAGS := -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DHAVE_OPENSSL -DUSE_LDAP_TLS
CFLAGS := -O2 $(PROFTPD_FLAGS) $(shell mysql_config --include)
CC := gcc

# Some special build options
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif
ifneq (,$(findstring verbose,$(DEB_BUILD_OPTIONS)))
DH_VERBOSE=1
export DH_VERBOSE
endif

# the dpatch rules
include /usr/share/dpatch/dpatch.make

#
# dpkg-arch rules
# FIXME: To be checked for 1.3.0+
# 
ifeq (,$(DEB_BUILD_GNU_TYPE))
  include debian/scripts/dpkg-arch.mk
endif


DSOMODS = mod_quotatab:mod_sql:mod_sql_mysql:mod_sql_postgres:mod_quotatab_sql:mod_ldap:mod_quotatab_ldap:mod_ratio:mod_tls:mod_rewrite:mod_radius:mod_wrap:mod_quotatab_file:mod_facl:mod_ctrls_admin:mod_ifsession
CONF_ARGS := --prefix=/usr \
	     --with-includes=$(shell pg_config --includedir) \
	     --mandir=/usr/share/man --sysconfdir=/etc/proftpd --localstatedir=/var/run --libexecdir=/usr/lib/proftpd \
	     --enable-sendfile --enable-facl --enable-dso --enable-autoshadow --enable-ctrls --with-modules=mod_readme \
	     --enable-ipv6 --enable-devel=stacktrace

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONF_ARGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONF_ARGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif
	
build: configure-stamp build-stamp
build-stamp: 
	dh_testdir
	
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" all
	
	touch build-stamp 

install: build-stamp
	dh_testdir
	dh_clean -k
	
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

configure: configure-stamp
configure-stamp: patch-stamp
	
	./configure $(CONF_ARGS) --with-shared=$(DSOMODS)
	
	touch configure-stamp

clean: myclean unpatch
myclean:
	dh_testdir
	dh_clean
	
	$(MAKE) distclean || true
	
	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub ./config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess ./config.guess
	
	# FIXME: To be checked for 1.3.0+
	rm -f build-stamp configure-stamp install-stamp patch-stamp
	rm -f stamp-build stamp-configure debian/files.saved debian/files
	rm -f $$(find . -type l) $$(find . -name "*~" -o -name "*.o")
	rm -f proftpd config.cache config.log lib/*.a ftpshut Make.rules
	rm -rf debian/proftpd debian/proftpd-{doc,mods}
	rm -rf debian/{files*,*substvars*,*.gz} core
	rm -f debian/proftpd-{mods}.{postinst,postrm,prerm,config,init}
	rm -f $$(find * -name "*.orig") modules/mod_ratio.c
	rm -f contrib/dist/rpm/proftpd.spec

binary-indep: checkroot build
	dh_installdirs -i 
	dh_install -i 
	dh_installdocs -i 
	dh_installchangelogs -i ./ChangeLog
	dh_installexamples -i 
	
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i 
	dh_md5sums -i
	dh_fixperms -i
	dh_builddeb -i

binary-arch: checkroot build install
	dh_installdirs -a
	dh_install -a --sourcedir=debian/tmp
	dh_installdocs -a
	dh_installchangelogs -a ChangeLog
	
	# removes proftpd.conf installed by upstream
	rm -f debian/$(PACKAGE)/etc/proftpd/proftpd.conf
	
	install -m 644 debian/templates/basic.conf debian/$(PACKAGE)/usr/share/$(PACKAGE)/templates/proftpd.conf
	install -m 644 debian/templates/modules.conf debian/$(PACKAGE)/usr/share/$(PACKAGE)/templates/modules.conf
	install -m 644 debian/templates/welcome.msg debian/$(PACKAGE)/usr/share/$(PACKAGE)/templates/welcome.msg 
	install -m 644 debian/templates/ftpusers debian/$(PACKAGE)/etc 
	install -m 755 debian/proftpd.init debian/$(PACKAGE)/etc/init.d/proftpd 
	install -m 644 debian/proftpd.pam debian/$(PACKAGE)/etc/pam.d/proftpd 
	install -m 644 debian/templates/default debian/$(PACKAGE)/etc/default/proftpd 
	install debian/ftpusers.5 debian/$(PACKAGE)/usr/share/man/man5/ftpusers.5
	install debian/ftpasswd.8 debian/$(PACKAGE)/usr/share/man/man8/ftpasswd.8
	install debian/ftpstats.8 debian/$(PACKAGE)/usr/share/man/man8
	install contrib/xferstats.holger-preiss debian/$(PACKAGE)/usr/sbin/ftpstats
	install -m 755 contrib/ftpasswd debian/$(PACKAGE)/usr/sbin/ftpasswd
	install -m 755 contrib/ftpquota debian/$(PACKAGE)/usr/sbin/ftpquota
	install -m 755 debian/proftpd.cron.monthly debian/$(PACKAGE)/etc/cron.monthly/proftpd

#	dh_installinit -a
	dh_installdebconf -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_perl -a
	dh_gencontrol -a 
	dh_strip -a
	dh_md5sums -a
	dh_fixperms -a
	dh_builddeb -a

binary:	binary-arch binary-indep

checkroot:
	dh_testdir
	dh_testroot

.PHONY: binary binary-arch binary-indep clean checkroot patch unpatch myclean install configure

## proftpd-dfsg 1.3.3d

=== debian/changelog ===
proftpd-dfsg (1.3.3d-8) unstable; urgency=high

  * debian/patches/3624 updated for a better management of possible NULL
    value.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 Mar 2011 10:49:44 +0100

proftpd-dfsg (1.3.3d-7) unstable; urgency=high

  * [SECURITY] new patch debian/patches/3624: this patch fixes the issue by
    causing mod_tls to clear the buffers of any data received from the client, 
    once the SSL/TLS handshake has succeeded.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Mar 2011 22:48:51 +0100

proftpd-dfsg (1.3.3d-6) unstable; urgency=low

  * Moved ftp user home to /srv/ftp as used by other ftp servers.
    (closes: #618888)
  * Now ftp home and user are removed on purge (old or new one).
  * Removing the whole log directory on purge.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Mar 2011 11:29:10 +0100

proftpd-dfsg (1.3.3d-5) unstable; urgency=low

  [ Francesco Paolo Lovergine <frankie@debian.org> ]
  * Annotated CVE IDs in debian/changelog for recent vulnerabilities fixed.
  
  [ Mahyuddin Susanto <udienz@ubuntu.com> ]
  * Add DEP-3 header in patches:
    - debian/patches/mod_cap
    - debian/patches/ftpstats
    - debian/patches/series
    - debian/patches/xferstats.holger-preiss
    - debian/patches/CVE-2011-1137
    - debian/patches/odbc
    - debian/patches/silent
    - debian/patches/mod_sql_mysql.c
    - debian/patches/ftpasswd.cracklib.location
    - debian/patches/autotools
    - debian/patches/prxs
    - debian/patches/mod_vroot
    - debian/patches/quotatab_modules
    - debian/patches/mod_wrap_noparanoid
    - debian/patches/change_pam_name
  * debian/copyright: Rewriting as per DEP-5 machine readable.
  * Fix typo in 1.3.3d-4 changelog.
  * debian/ftpasswd.8
    - Remove white space
    - Using hypen instead of minus sign in manual page.
  * debian/patches/use_hypen_in_manpage.patch: Do not use minus sign in manual
    page.
  * Use set -e instead of passed -e to the shell on the #! line in the body of
    script
     - proftpd-basic.config
     - proftpd-basic.postrm
     - proftpd-basic.preinst
  * Override lintian to trivial error checking
    - debian/proftpd-basic.lintian-overrides
    - debian/proftpd-dev.lintian-overrides

  [ Francesco Paolo Lovergine ]
  * Fixed a typo in debian/proftpd-substvars.in and regenerated the template. 
  * Fixed a typo in proftpd-dev.README.Debian

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 17 Mar 2011 13:16:12 +0100

proftpd-dfsg (1.3.3d-4) unstable; urgency=high

  * Fixed previous changelog.
  * Now proftpd.conf includes /etc/proftpd/conf.d contents to allow custom
    configurations being loaded after system ones in separate files.
  * Added README.Debian for proftpd-dev to explain how to build add-on
    modules.
  * [PATCH] silent remove excessive verbosity at startup about conf.d
    directory parsing.
  * Updated debian/NEWS file with information about new conf.d directory.
  * Now configuration file name can be overridden at run-time.
    (closes: #613527)
  * Now uses Breaks instead of Conflicts against pre-squeeze proftpd package.
  * [SECURITY,PATCH] CVE-2011-1137: mod_sftp behaves badly when receiving
    badly formed SSH messages.
    (closes: #616179)
  * Updated Czech debconf template.
    (closes: #616336)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 04 Mar 2011 00:42:18 +0100

proftpd-dfsg (1.3.3d-3) unstable; urgency=low

  * Updated danish template.
    (closes: #599862)
  * Now grep uses --silet to avoid warning at /etc/inetd.conf parsing.
    (closes: #605781)
  * Added commented TZ explicit set in proftpd.conf template. 
    Thanks John Wright.
    (closes: #576888)
  * [PATCH] prxs.in fixed to avoid using the shell to call libtool, which
    prevents prxs working correctly with any shell.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 15 Feb 2011 12:16:48 +0100

proftpd-dfsg (1.3.3d-2) unstable; urgency=low

  * Added Vcs-* fields for the new pkg-proftpd alioth project.
  * Now using pkg-proftpd developers list as Maintainer field and
    added me as an Uploader.
  * Updated README.source to reflect changes to maintainance.
  * Changed long description in debian/control* to be more smart and up-to-date.
  * Changed ProFTPd string occurrences in ProFTPD in all templates, as it is the
    official program name since a long time.
  * Fixed proftpd-substvars for current version.
  * Now proftpd-substvars is updated at every build to avoid easy oversights.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 11 Feb 2011 14:02:32 +0100

proftpd-dfsg (1.3.3d-1) unstable; urgency=low

  * New upstream stable release with ABI bumping.
  * Moved to source format 3.0, with quilt.
  * Moved debian patches to quilt.
  * Policy bumped to 3.9.1.
  * Removed all patches merged upstream.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 08 Feb 2011 13:42:03 +0100

proftpd-dfsg (1.3.3a-6) unstable; urgency=high

  * [SECURITY] 3536.dpatch fixes insufficient bounds checking in sql_prepare_where() 
    function as found in mod_sql.c. This is CVE-2010-4652.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 28 Jan 2011 09:54:52 +0100

proftpd-dfsg (1.3.3a-5) unstable; urgency=high

  * [SECURITY,PATCH] 3521.dpatch fixes Telnet IAC processing stack overflow.
    This vulnerability allows remote attackers to execute arbitrary code on
    vulnerable installations of ProFTPD. Authentication is not required to
    exploit this vulnerability. It applies to >= 1.3.2rc3.
    (closes: #602279, #602288)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 03 Nov 2010 10:51:05 +0100

proftpd-dfsg (1.3.3a-4) unstable; urgency=high

  * [SECURITY,PATCH] 3519.dpatch fixes Inappropriate directory traversal allowed by
    mod_site_misc. This vulnerability can be used to:
     - create a directory located outside the writable directory
     - delete a directory located outside the writable directory


=== debian/control ===
Source: proftpd-dfsg
Section: net
Priority: optional
Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 3.9.1
Build-Depends: libmysqlclient-dev, libpam-dev, debhelper (>= 7), zlib1g-dev, 
 libpq-dev, libldap2-dev, libssl-dev (>= 0.9.8l), libwrap0-dev, libcap-dev [linux-any], 
 autotools-dev, libncurses5-dev, libacl1-dev, libattr1-dev, unixodbc-dev, libsqlite3-dev
Homepage: http://www.proftpd.org/
Vcs-Git: git://git.debian.org/pkg-proftpd/proftpd-dfsg.git
Vcs-Browser: http://git.debian.org/?p=pkg-proftpd/proftpd-dfsg.git

Package: proftpd-basic
Architecture: any
Depends: netbase (>= 4.13), ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5.00), adduser, 
 ucf (>= 0.30), debianutils (>= 1.21.0), libpam-runtime (>= 0.76-13.1),  sed (>= 4.1.5), update-inetd
Conflicts: ftp-server
Breaks: proftpd (<< 1.3.2)
Replaces: proftpd (<< 1.3.2)
Provides: ftp-server, proftpd, proftpd-abi-1.3.3d
Suggests: proftpd-doc, openssl, proftpd-mod-mysql, proftpd-mod-pgsql, proftpd-mod-ldap, proftpd-mod-odbc, proftpd-mod-sqlite, openbsd-inetd | inet-superserver
Description: Versatile, virtual-hosting FTP daemon - binaries
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package contains the daemon and all main modules used for
 common configurations. If you need database-centric authentication 
 install the suitable proftpd-mod suggested package.

Package: proftpd-dev
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libtool
Suggests: pkg-config
Description: Versatile, virtual-hosting FTP daemon - development files
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package contains all files required to develop thirdr-parties
 modules that can be loaded at run-time by means of DSO support.

Package: proftpd-doc
Architecture: all
Suggests: proftpd-basic
Section: doc
Depends: ${misc:Depends}
Description: Versatile, virtual-hosting FTP daemon - documentation
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package contains the software documentation. 
Homepage: http://www.proftpd.org/docs

Package: proftpd-mod-mysql
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Versatile, virtual-hosting FTP daemon - MySQL module
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package provides MySQL based authentication.

Package: proftpd-mod-pgsql
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Versatile, virtual-hosting FTP daemon - PostgreSQL module
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package provides PostgreSQL based authentication.

Package: proftpd-mod-ldap
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Versatile, virtual-hosting FTP daemon - LDAP module
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package provides LDAP based authentication.

Package: proftpd-mod-odbc
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Versatile, virtual-hosting FTP daemon - ODBC module
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package provides ODBC based authentication.

Package: proftpd-mod-sqlite
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Versatile, virtual-hosting FTP daemon - SQLite3 module
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package provides SQLite based authentication.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=proftpd-basic
PACKAGE_DEV=proftpd-dev
NAME=proftpd
VERSION=$(shell grep PROFTPD_VERSION_TEXT $(CURDIR)/include/version.h|cut -d\" -f2)

#
# HAVE_OPENSSL is required by mod_sql.c. 
# See #233031 for details. 
# 
PROFTPD_FLAGS := -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DHAVE_OPENSSL -DUSE_LDAP_TLS
CFLAGS := -O2 $(PROFTPD_FLAGS) 
CC := gcc

# Some special build options
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g -O0
endif
ifneq (,$(findstring verbose,$(DEB_BUILD_OPTIONS)))
DH_VERBOSE=1
export DH_VERBOSE
endif

#
# dpkg-arch rules
# 
ifeq (,$(DEB_BUILD_GNU_TYPE))
  include debian/scripts/dpkg-arch.mk
endif

# Note: use --localstatedir=/var/run/proftpd for > 1.3.2
DSOMODS1 = mod_unique_id:mod_site_misc:mod_load:mod_ban:mod_quotatab:mod_sql:mod_sql_mysql:mod_sql_postgres:mod_sql_sqlite:mod_sql_odbc:mod_dynmasq:
DSOMODS2 = mod_quotatab_sql:mod_ldap:mod_quotatab_ldap:mod_ratio:mod_tls:mod_rewrite:mod_radius:mod_wrap:mod_wrap2:mod_wrap2_file:
DSOMODS3 = mod_wrap2_sql:mod_quotatab_file:mod_quotatab_radius:mod_facl:mod_ctrls_admin:mod_vroot:
DSOMODS4 = mod_exec:mod_sftp:mod_sftp_pam:mod_sftp_sql:mod_shaper:mod_sql_passwd:mod_ifsession
CONF_ARGS := --prefix=/usr \
	     --with-includes=$(shell pg_config --includedir):$(shell mysql_config --include|sed -e 's/-I//') \
	     --mandir=/usr/share/man --sysconfdir=/etc/$(NAME) --localstatedir=/var/run --libexecdir=/usr/lib/$(NAME) \
	     --enable-sendfile --enable-facl --enable-dso --enable-autoshadow --enable-ctrls --with-modules=mod_readme \
	     --enable-ipv6 --enable-nls 
#	     --enable-devel=stacktrace 

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONF_ARGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONF_ARGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

debian/control: debian/control.in
	sed -e 's/@VERSION@/$(VERSION)/' $< >$@

debian/proftpd-substvars: debian/proftpd-substvars.in
	sed -e 's/@VERSION@/$(VERSION)/' $< >$@

build: $(QUILT_STAMPFN) debian/proftpd-substvars configure-stamp build-stamp
build-stamp: 
	dh_testdir
	
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" all
	
	touch $@

install: build
	dh_testdir
	dh_prep
	
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	mv $(CURDIR)/debian/tmp/usr/share/locale/it_IT $(CURDIR)/debian/tmp/usr/share/locale/it
	mv $(CURDIR)/debian/tmp/usr/share/locale/ru_RU $(CURDIR)/debian/tmp/usr/share/locale/ru

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	
	# Use current autotools helpers
	-test -r /usr/share/misc/config.sub && \
		mv ./config.sub ./config.sub.original && \
		cp -f /usr/share/misc/config.sub ./config.sub
	-test -r /usr/share/misc/config.guess && \
		mv ./config.guess ./config.guess.original && \
		cp -f /usr/share/misc/config.guess ./config.guess
	
	./configure $(CONF_ARGS) --with-shared=$(DSOMODS1)$(DSOMODS2)$(DSOMODS3)$(DSOMODS4)
	
	touch $@

clean: debian/control debian/proftpd-substvars myclean 
myclean:
	dh_testdir
	dh_clean
	
	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) distclean 
	
	# Reset upstream autotools helpers
	[ ! -f config.sub.original ] || mv -f ./config.sub.original ./config.sub 
	[ ! -f config.guess.original ] || mv -f ./config.guess.original ./config.guess
	
	rm -f debian/files.saved debian/files
	rm -f $$(find . -type l) $$(find . -name "*~" -o -name "*.o")
	rm -f $(NAME) config.cache config.log lib/*.a ftpshut Make.rules
	rm -rf debian/$(PACKAGE) debian/$(NAME)-doc
	rm -rf debian/files* debian/*.gz core
	rm -f $$(find * -name "*.orig") modules/mod_ratio.c
	rm -f contrib/dist/rpm/proftpd.spec
	rm -rf $$(find $(CURDIR) -name .libs)
	rm -f $$(find $(CURDIR) -name config.log )
	rm -f $$(find $(CURDIR) -name config.status )
	rm -f contrib/mod_wrap2/mod_wrap2.h \
	      contrib/mod_wrap2/Makefile \
	      contrib/mod_load/mod_load.c \
	      contrib/mod_load/mod_load.h \
	      contrib/mod_load/Makefile 
	# clean up libtool files still around
	find contrib -name "*.la" -exec rm -f {} \;

binary-indep: checkroot build
	dh_installdirs -i
	dh_install -i
	dh_installdocs -i 
	dh_installchangelogs -i ChangeLog
	dh_installexamples -i
	dh_lintian -i
	
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i 
	dh_md5sums -i
	dh_fixperms -i
	dh_builddeb -i

binary-arch: checkroot build install
	dh_installdirs -a
	dh_install -a 
	dh_installdocs -a
	dh_installchangelogs -a ChangeLog
	dh_installman -a
	dh_installlogrotate -a
	dh_installpam -a --name=$(NAME)
	dh_lintian -a
	# removes proftpd.conf installed by upstream
	rm -f debian/$(PACKAGE)/etc/$(NAME)/$(NAME).conf
	
	install -m 644 debian/templates/*.conf debian/$(PACKAGE)/usr/share/$(NAME)/templates
	install -m 644 debian/templates/welcome.msg debian/$(PACKAGE)/usr/share/$(NAME)/templates/welcome.msg 
	install -m 644 debian/templates/ftpusers debian/$(PACKAGE)/etc 
	install -m 755 debian/$(PACKAGE).init debian/$(PACKAGE)/etc/init.d/$(NAME) 
	install -m 644 debian/templates/default debian/$(PACKAGE)/etc/default/$(NAME) 
	install contrib/xferstats.holger-preiss debian/$(PACKAGE)/usr/sbin/ftpstats
	install -m 755 contrib/ftpasswd debian/$(PACKAGE)/usr/sbin/ftpasswd
	install -m 755 contrib/ftpquota debian/$(PACKAGE)/usr/sbin/ftpquota
	install -m 755 debian/proftpd-gencert debian/$(PACKAGE)/usr/sbin/proftpd-gencert
	install -m 644 debian/proftpd-substvars debian/$(PACKAGE_DEV)/usr/share/$(NAME)/proftpd-substvars
	
	dh_installdebconf -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a -l$(CURDIR)/debian/tmp/usr/lib/$(NAME)
	dh_installdeb -a
	dh_perl -a
	dh_gencontrol -a 
	dh_strip -a
	dh_md5sums -a
	dh_fixperms -a
	dh_builddeb -a

binary:	binary-arch binary-indep

checkroot:
	dh_testdir
	dh_testroot

.PHONY: binary binary-arch binary-indep clean checkroot myclean install configure debian/proftpd-substvars

## proftpd-dfsg 1.3.4~rc2

=== debian/changelog ===
proftpd-dfsg (1.3.4~rc2-4) unstable; urgency=low

  * Now debian/rules manages correctly debug. noopt and nostrip options
    in DEB_BUILD_OPTIONS against proftpd building script.
    (closes: #624267)
  * Added NoSessionReuseRequired as suggested TLSOptions: it does allow some
    clients to work correctly with data connection.
  * Added a suitable entry in NEWS file to warn about mod_ldap directives
    upstream changes.
    (closes: #628944)
  * Changed ldap.conf template to reflect new basic directives.
  * Changed reference URL for the Timing Attack in proftpd.conf template.
    (closes: #630427)
  * Now proftpd-basic.postrm removes also the logrotate script on purge.
    (closes: #626742)
  * Added another override for lintian about embedding the libtool ltdl.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 02 Sep 2011 11:32:31 +0200

proftpd-dfsg (1.3.4~rc2-3) unstable; urgency=low

  * Added new contributed modules building and loading: mod_copy, mod_deflate, 
    mod_ifversion, mod_tls_memcache
  * Removed mod_vroot loading in modules.conf.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 22 Apr 2011 16:58:35 +0200

proftpd-dfsg (1.3.4~rc2-2) unstable; urgency=low

  * Removed mod_vroot patches, because it will be provided by the separate
    proftpd-mod-vroot source package.
  * Updated NEWS file to warn about the now missing vroot module.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 20 Apr 2011 17:44:32 +0200

proftpd-dfsg (1.3.4~rc2-1) unstable; urgency=low

  [ Mahyuddin Susanto <udienz@ubuntu.com> ]

  * Add DEP-3 header in patches:
    - debian/patches/mod_cap
    - debian/patches/ftpstats
    - debian/patches/series
    - debian/patches/xferstats.holger-preiss
    - debian/patches/CVE-2011-1137
    - debian/patches/odbc
    - debian/patches/silent
    - debian/patches/mod_sql_mysql.c
    - debian/patches/ftpasswd.cracklib.location
    - debian/patches/autotools
    - debian/patches/prxs
    - debian/patches/mod_vroot
    - debian/patches/quotatab_modules
    - debian/patches/mod_wrap_noparanoid
    - debian/patches/change_pam_name
  * debian/copyright: Rewriting as per DEP-5 machine readable.
  * Fix typo in 1.3.3d-4 changelog.
  * debian/ftpasswd.8
    - Remove white space
    - Using hypen instead of minus sign in manual page.
  * debian/patches/use_hypen_in_manpage.patch: Do not use minus sign in manual
    page.
  * Use set -e instead of passed -e to the shell on the #! line in the body of
    script
     - proftpd-basic.config
     - proftpd-basic.postrm
     - proftpd-basic.preinst
  * Override lintian to trivial error checking
    - debian/proftpd-basic.lintian-overrides
    - debian/proftpd-dev.lintian-overrides

  [ Francesco Paolo Lovergine ]

  * Annotated CVE IDs in debian/changelog for recent vulnerabilities fixed.
  * New upstream release candidate for 1.3.4 series.
  * Patch removed: 
        debian/patches/prxs (merged upstream)
  * Patch updated:
        debian/patches/odbc
  * Patch use_hypen_in_manpage.patch: dropped extension.
  * Now debian/control is also a phony target.
  * Now clean target does not remove upstream files to be more nice against gbp.
  * Fixed a typo in debian/proftpd-substvars.in and regenerated the template. 
  * Fixed a typo in proftpd-dev.README.Debian
  * Moved ftp user home to /srv/ftp as used by other ftp servers.
  * Now ftp home and user are removed on purge (old or new one).
  * Removing the whole log directory on purge.
  * Now lastlog logging is enabled at building time to allow UseLastlog on/off 
    use in configuration. Thanks TerminX.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 Mar 2011 13:04:35 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.3d
+Provides: ftp-server, proftpd, proftpd-abi-1.3.4rc2
 Suggests: proftpd-doc, openssl, proftpd-mod-mysql, proftpd-mod-pgsql, proftpd-mod-ldap, proftpd-mod-odbc, proftpd-mod-sqlite, openbsd-inetd | inet-superserver
 Description: Versatile, virtual-hosting FTP daemon - binaries
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer

## proftpd-dfsg 1.3.4~rc3

=== debian/changelog ===
proftpd-dfsg (1.3.4~rc3-2) unstable; urgency=high

  * Added libacl1-dev and libssl-dev to proftpd-dev dependencies, due to
    header files inclusion.
  * Added patch 3711 to manage CVE-2011-4130 (Response pool use-after-free
    memory corruption error).
    (closes: #648373)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 11 Nov 2011 13:19:37 +0100

proftpd-dfsg (1.3.4~rc3-1) unstable; urgency=low

  * New upstream pre-release.
  * Refreshed all patches.
  * Changed patch xferstats.holger-preiss to fix a few warnings and use
    Getopt::Std instead of the old getopts.pl which will be removed soon or
    later in perl5. Thanks lintian.
  * Policy bumped to 3.9.2.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 06 Oct 2011 12:57:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: libmysqlclient-dev, libpam-dev, debhelper (>= 7), zlib1g-dev, 
  libpq-dev, libldap2-dev, libssl-dev (>= 0.9.8l), libwrap0-dev, libcap-dev [linux-any], 
  autotools-dev, libncurses5-dev, libacl1-dev, libattr1-dev, unixodbc-dev, libsqlite3-dev
@@ -18,8 +18,10 @@
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.4rc2
-Suggests: proftpd-doc, openssl, proftpd-mod-mysql, proftpd-mod-pgsql, proftpd-mod-ldap, proftpd-mod-odbc, proftpd-mod-sqlite, openbsd-inetd | inet-superserver
+Provides: ftp-server, proftpd, proftpd-abi-1.3.4rc3
+Suggests: proftpd-doc, openssl, 
+ proftpd-mod-mysql, proftpd-mod-pgsql, proftpd-mod-ldap, proftpd-mod-odbc, proftpd-mod-sqlite, 
+ openbsd-inetd | inet-superserver
 Description: Versatile, virtual-hosting FTP daemon - binaries
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
  Protocol daemon supports also hidden directories, virtual hosts, and
@@ -37,7 +39,8 @@
 
 Package: proftpd-dev
 Architecture: any
-Depends: proftpd-basic (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libtool
+Depends: proftpd-basic (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, 
+ libtool, libacl1-dev, libssl-dev
 Suggests: pkg-config
 Description: Versatile, virtual-hosting FTP daemon - development files
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer

=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,27 @@
 # See #233031 for details. 
 # 
 PROFTPD_FLAGS := -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DHAVE_OPENSSL -DUSE_LDAP_TLS
-CFLAGS := -O2 $(PROFTPD_FLAGS) 
+CFLAGS := $(PROFTPD_FLAGS) 
 CC := gcc
+OPTFLAG = -O2
 
 # Some special build options
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -g -O0
+  DEVELOPT=--enable-devel=yes
+  OPTFLAG = -O0
 endif
 ifneq (,$(findstring verbose,$(DEB_BUILD_OPTIONS)))
 DH_VERBOSE=1
 export DH_VERBOSE
 endif
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+  OPTFLAG = -O0 
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+  INSTALL_STRIP=-s
+endif
+
+CFLAGS += $(OPTFLAG)
 
 #
 # dpkg-arch rules
@@ -32,14 +42,13 @@
 # Note: use --localstatedir=/var/run/proftpd for > 1.3.2
 DSOMODS1 = mod_unique_id:mod_site_misc:mod_load:mod_ban:mod_quotatab:mod_sql:mod_sql_mysql:mod_sql_postgres:mod_sql_sqlite:mod_sql_odbc:mod_dynmasq:
 DSOMODS2 = mod_quotatab_sql:mod_ldap:mod_quotatab_ldap:mod_ratio:mod_tls:mod_rewrite:mod_radius:mod_wrap:mod_wrap2:mod_wrap2_file:
-DSOMODS3 = mod_wrap2_sql:mod_quotatab_file:mod_quotatab_radius:mod_facl:mod_ctrls_admin:mod_vroot:
+DSOMODS3 = mod_wrap2_sql:mod_quotatab_file:mod_quotatab_radius:mod_facl:mod_ctrls_admin:mod_copy:mod_deflate:mod_ifversion:mod_tls_memcache:
 DSOMODS4 = mod_exec:mod_sftp:mod_sftp_pam:mod_sftp_sql:mod_shaper:mod_sql_passwd:mod_ifsession
 CONF_ARGS := --prefix=/usr \
 	     --with-includes=$(shell pg_config --includedir):$(shell mysql_config --include|sed -e 's/-I//') \
 	     --mandir=/usr/share/man --sysconfdir=/etc/$(NAME) --localstatedir=/var/run --libexecdir=/usr/lib/$(NAME) \
 	     --enable-sendfile --enable-facl --enable-dso --enable-autoshadow --enable-ctrls --with-modules=mod_readme \
-	     --enable-ipv6 --enable-nls 
-#	     --enable-devel=stacktrace 
+	     --enable-ipv6 --enable-nls --with-lastlog=/var/log/lastlog $(DEVELOPT)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   CONF_ARGS += --build $(DEB_HOST_GNU_TYPE)
@@ -53,7 +62,7 @@
 debian/proftpd-substvars: debian/proftpd-substvars.in
 	sed -e 's/@VERSION@/$(VERSION)/' $< >$@
 
-build: $(QUILT_STAMPFN) debian/proftpd-substvars configure-stamp build-stamp
+build: debian/proftpd-substvars configure-stamp build-stamp
 build-stamp: 
 	dh_testdir
 	
@@ -65,12 +74,12 @@
 	dh_testdir
 	dh_prep
 	
-	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp INSTALL_STRIP="$(INSTALL_STRIP)" install
 	mv $(CURDIR)/debian/tmp/usr/share/locale/it_IT $(CURDIR)/debian/tmp/usr/share/locale/it
 	mv $(CURDIR)/debian/tmp/usr/share/locale/ru_RU $(CURDIR)/debian/tmp/usr/share/locale/ru
 
 configure: configure-stamp
-configure-stamp: $(QUILT_STAMPFN)
+configure-stamp: 
 	dh_testdir
 	
 	# Use current autotools helpers
@@ -102,7 +111,6 @@
 	rm -rf debian/$(PACKAGE) debian/$(NAME)-doc
 	rm -rf debian/files* debian/*.gz core
 	rm -f $$(find * -name "*.orig") modules/mod_ratio.c
-	rm -f contrib/dist/rpm/proftpd.spec
 	rm -rf $$(find $(CURDIR) -name .libs)
 	rm -f $$(find $(CURDIR) -name config.log )
 	rm -f $$(find $(CURDIR) -name config.status )
@@ -172,5 +180,5 @@
 	dh_testdir
 	dh_testroot
 
-.PHONY: binary binary-arch binary-indep clean checkroot myclean install configure debian/proftpd-substvars
+.PHONY: binary binary-arch binary-indep clean checkroot myclean install configure debian/proftpd-substvars debian/control
